CollectionUtils.SetBuilder (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.util
[Java] Class CollectionUtils.SetBuilder

    java.lang.Object
      griffon.util.CollectionUtils.SetBuilder

All Implemented Interfaces:
  Set

    public static class CollectionUtils.SetBuilder

Field Summary
`private Set` | `delegate`

Constructor Summary
`CollectionUtils.SetBuilder(Set delegate)`

Method Summary
`boolean` | `add(E e)`
`boolean` | `addAll(Collection es)`
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection objects)`
`SetBuilder` | `e(E e)`
`boolean` | `equals(Object o)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Iterator` | `iterator()`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection objects)`
`boolean` | `retainAll(Collection objects)`
`int` | `size()`
`Object[]` | `toArray()`
`Object[]` | `toArray(Object[] ts)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### delegate

    private final Set delegate

Constructor Detail

### CollectionUtils.SetBuilder

    public CollectionUtils.SetBuilder(Set delegate)

Method Detail

### add

    public boolean add(E e)

### addAll

    public boolean addAll(Collection es)

### clear

    public void clear()

### contains

    public boolean contains(Object o)

### containsAll

    public boolean containsAll(Collection objects)

### e

    public SetBuilder e(E e)

### equals

    @Override
    public boolean equals(Object o)

### hashCode

    @Override
    public int hashCode()

### isEmpty

    public boolean isEmpty()

### iterator

    public Iterator iterator()

### remove

    public boolean remove(Object o)

### removeAll

    public boolean removeAll(Collection objects)

### retainAll

    public boolean retainAll(Collection objects)

### size

    public int size()

### toArray

    public Object[] toArray()

### toArray

    public Object[] toArray(Object[] ts)

Groovy Documentation